Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.common.locale
Class AbstractEMFFormsLocaleProvider_Test

    java.lang.Object
      org.eclipse.emfforms.spi.common.locale.AbstractEMFFormsLocaleProvider_Test

    public class AbstractEMFFormsLocaleProvider_Test

extends Object

Test cases for the AbstractEMFFormsLocaleProvider.

Author:
  Eugen Neufeld

Constructor Summary
`AbstractEMFFormsLocaleProvider_Test()`

Method Summary
`void` | `setup()`
`void` | `testAddEMFFormsLocaleChangeListener()` Test method for `AbstractEMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .
`void` | `testAddEMFFormsLocaleChangeListenerDifferent()` Test method for `AbstractEMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .
`void` | `testAddEMFFormsLocaleChangeListenerTwice()` Test method for `AbstractEMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .
`void` | `testRemoveEMFFormsLocaleChangeListener()` Test method for `AbstractEMFFormsLocaleProvider.removeEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .
`void` | `testRemoveEMFFormsLocaleChangeListenerNotInList()` Test method for `AbstractEMFFormsLocaleProvider.removeEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEMFFormsLocaleProvider_Test

    public AbstractEMFFormsLocaleProvider_Test()

Method Detail

### setup

    public void setup()

### testAddEMFFormsLocaleChangeListener

    public void testAddEMFFormsLocaleChangeListener()

  Test method for `AbstractEMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .

### testAddEMFFormsLocaleChangeListenerTwice

    public void testAddEMFFormsLocaleChangeListenerTwice()

  Test method for `AbstractEMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .

### testAddEMFFormsLocaleChangeListenerDifferent

    public void testAddEMFFormsLocaleChangeListenerDifferent()

  Test method for `AbstractEMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .

### testRemoveEMFFormsLocaleChangeListener

    public void testRemoveEMFFormsLocaleChangeListener()

  Test method for `AbstractEMFFormsLocaleProvider.removeEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .

### testRemoveEMFFormsLocaleChangeListenerNotInList

    public void testRemoveEMFFormsLocaleChangeListenerNotInList()

  Test method for `AbstractEMFFormsLocaleProvider.removeEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)` .

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.